Retrieve all Network Security Groups

View as Markdown

Get all Network Security Groups for Tenant

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringOptionalformat: "uuid"
Filter By Site ID
statusstringOptional
Filter Network Security Groups by Status
querystringOptional
Search for matches across all Network Security Groups. Input will be matched against name, description, and status fields
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query
includeAttachmentStatsbooleanOptional
Include counts for the number objects that have attached the Network Security Group

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstringOptional
Unique UUID v4 identifier for the Network Security Group
namestringOptional2-256 characters
Name of the Network Security Group
descriptionstring or nullOptional
Description of the Network Security Group
siteIdstringOptionalformat: "uuid"
ID of the Site
tenantIdstringOptionalformat: "uuid"
ID of the Tenant
statusenumOptional
Status of the Network Security Group
statusHistorylist of objectsOptional
Chronological status history for the Network Security Group
statefulEgressbooleanOptional
StatefulEgress defines whether a Network Security Group's egress rules will be automatically stateful
ruleslist of objectsOptional
Rules that belong to the Network Security Group
ruleCountintegerOptional
Number of rules in the Network Security Group
attachmentStatsobjectOptional

Attachment statistics for the Network Security Group. Returned when the includeAttachmentStats query parameter is set to true in retrieval endpoints.

labelsmap from strings to stringsOptional

Set of labels/tags for the Network Security Group

createddatetimeOptional

Date/time when the Network Security Group was created

updateddatetimeOptional

Date/time when the Network Security Group was last updated

Errors

400
Bad Request Error
403
Forbidden Error
412
Precondition Failed Error
500
Internal Server Error
501
Not Implemented Error